Package org.eclipse.viatra.query.patternlanguage.emf.vql.impl

## Class PathExpressionConstraintImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.ConstraintImpl
          - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.PathExpressionConstraintImpl

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `CallableRelation`, `Constraint`, `PathExpressionConstraint`

      public class PathExpressionConstraintImpl
      extends ConstraintImpl
      implements PathExpressionConstraint

  An implementation of the model object 'Path Expression Constraint'.

  The following features are implemented:

  - `Transitive`
  - `Edge Types`
  - `Source Type`
  - `Src`
  - `Dst`
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ValueReference` | `dst` | The cached value of the '`Dst`' containment reference.
    `protected org.eclipse.emf.common.util.EList<ReferenceType>` | `edgeTypes` | The cached value of the '`Edge Types`' containment reference list.
    `protected ClassType` | `sourceType` | The cached value of the '`Source Type`' containment reference.
    `protected VariableReference` | `src` | The cached value of the '`Src`' containment reference.
    `protected ClosureType` | `transitive` | The cached value of the '`Transitive`' attribute.
    `protected static ClosureType` | `TRANSITIVE_EDEFAULT` | The default value of the '`Transitive`' attribute.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PathExpressionConstraintImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetDst​(ValueReference newDst, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetSourceType​(ClassType newSourceType, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetSrc​(VariableReference newSrc, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `int` | `eBaseStructuralFeatureID​(int derivedFeatureID, java.lang.Class<?> baseClass)`
    `int` | `eDerivedStructuralFeatureID​(int baseFeatureID, java.lang.Class<?> baseClass)`
    `java.lang.Object` | `eGet​(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet​(int featureID)`
    `void` | `eSet​(int featureID, java.lang.Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset​(int featureID)`
    `ValueReference` | `getDst()`
    `org.eclipse.emf.common.util.EList<ReferenceType>` | `getEdgeTypes()`
    `ClassType` | `getSourceType()`
    `VariableReference` | `getSrc()`
    `ClosureType` | `getTransitive()`
    `void` | `setDst​(ValueReference newDst)`
    `void` | `setSourceType​(ClassType newSourceType)`
    `void` | `setSrc​(VariableReference newSrc)`
    `void` | `setTransitive​(ClosureType newTransitive)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### TRANSITIVE_EDEFAULT

          protected static final ClosureType TRANSITIVE_EDEFAULT

      The default value of the '`Transitive`' attribute.
      See Also:
        `getTransitive()`
      Generated:
      Ordered:

    - #### transitive

          protected ClosureType transitive

      The cached value of the '`Transitive`' attribute.
      See Also:
        `getTransitive()`
      Generated:
      Ordered:

    - #### edgeTypes

          protected org.eclipse.emf.common.util.EList<ReferenceType> edgeTypes

      The cached value of the '`Edge Types`' containment reference list.
      Since:
        2.0
      See Also:
        `getEdgeTypes()`
      Generated:
      Ordered:

    - #### sourceType

          protected ClassType sourceType

      The cached value of the '`Source Type`' containment reference.
      Since:
        2.0
      See Also:
        `getSourceType()`
      Generated:
      Ordered:

    - #### src

          protected VariableReference src

      The cached value of the '`Src`' containment reference.
      Since:
        2.0
      See Also:
        `getSrc()`
      Generated:
      Ordered:

    - #### dst

          protected ValueReference dst

      The cached value of the '`Dst`' containment reference.
      Since:
        2.0
      See Also:
        `getDst()`
      Generated:
      Ordered:

  - ### Constructor Detail

    - #### PathExpressionConstraintImpl

          protected PathExpressionConstraintImpl()

      Generated:

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ConstraintImpl`
      Generated:

    - #### getTransitive

          public ClosureType getTransitive()

      Specified by:
        `getTransitive` in interface `CallableRelation`
      Returns:
        the value of the 'Transitive' attribute.
      See Also:
        `ClosureType`, `CallableRelation.setTransitive(ClosureType)`, `PatternLanguagePackage.getCallableRelation_Transitive()`
      Generated:

    - #### setTransitive

          public void setTransitive​(ClosureType newTransitive)

      Specified by:
        `setTransitive` in interface `CallableRelation`
      Parameters:
        `newTransitive` - the new value of the 'Transitive' attribute.
      See Also:
        `ClosureType`, `CallableRelation.getTransitive()`
      Generated:

    - #### getEdgeTypes

          public org.eclipse.emf.common.util.EList<ReferenceType> getEdgeTypes()

      Specified by:
        `getEdgeTypes` in interface `PathExpressionConstraint`
      Returns:
        the value of the 'Edge Types' containment reference list.
      Since:
        2.0
      See Also:
        `PatternLanguagePackage.getPathExpressionConstraint_EdgeTypes()`
      Generated:

    - #### getSourceType

          public ClassType getSourceType()

      Specified by:
        `getSourceType` in interface `PathExpressionConstraint`
      Returns:
        the value of the 'Source Type' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.setSourceType(ClassType)`, `PatternLanguagePackage.getPathExpressionConstraint_SourceType()`
      Generated:

    - #### basicSetSourceType

          public org.eclipse.emf.common.notify.NotificationChain basicSetSourceType​(ClassType newSourceType,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

      Since:
        2.0
      Generated:

    - #### setSourceType

          public void setSourceType​(ClassType newSourceType)

      Specified by:
        `setSourceType` in interface `PathExpressionConstraint`
      Parameters:
        `newSourceType` - the new value of the 'Source Type' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getSourceType()`
      Generated:

    - #### getSrc

          public VariableReference getSrc()

      Specified by:
        `getSrc` in interface `PathExpressionConstraint`
      Returns:
        the value of the 'Src' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.setSrc(VariableReference)`, `PatternLanguagePackage.getPathExpressionConstraint_Src()`
      Generated:

    - #### basicSetSrc

          public org.eclipse.emf.common.notify.NotificationChain basicSetSrc​(VariableReference newSrc,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

      Since:
        2.0
      Generated:

    - #### setSrc

          public void setSrc​(VariableReference newSrc)

      Specified by:
        `setSrc` in interface `PathExpressionConstraint`
      Parameters:
        `newSrc` - the new value of the 'Src' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getSrc()`
      Generated:

    - #### getDst

          public ValueReference getDst()

      Specified by:
        `getDst` in interface `PathExpressionConstraint`
      Returns:
        the value of the 'Dst' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.setDst(ValueReference)`, `PatternLanguagePackage.getPathExpressionConstraint_Dst()`
      Generated:

    - #### basicSetDst

          public org.eclipse.emf.common.notify.NotificationChain basicSetDst​(ValueReference newDst,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

      Since:
        2.0
      Generated:

    - #### setDst

          public void setDst​(ValueReference newDst)

      Specified by:
        `setDst` in interface `PathExpressionConstraint`
      Parameters:
        `newDst` - the new value of the 'Dst' containment reference.
      Since:
        2.0
      See Also:
        `PathExpressionConstraint.getDst()`
      Generated:

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `PathExpressionConstraint`
      Overrides:
        `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eGet

          public java.lang.Object eGet​(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eSet

          public void eSet​(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eUnset

          public void eUnset​(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eIsSet

          public boolean eIsSet​(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eBaseStructuralFeatureID

          public int eBaseStructuralFeatureID​(int derivedFeatureID,
                                              java.lang.Class<?> baseClass)

      Specified by:
        `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eDerivedStructuralFeatureID

          public int eDerivedStructuralFeatureID​(int baseFeatureID,
                                                 java.lang.Class<?> baseClass)

      Specified by:
        `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated: